Bug 713461 - (tomahawk) Review Request: tomahawk - The Social Music Player
Review Request: tomahawk - The Social Music Player
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
:
Depends On: jreen qtweetlib
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-06-15 09:32 EDT by Rex Dieter
Modified: 2012-01-19 16:56 EST (History)
6 users (show)

See Also:
Fixed In Version: clementine-0.7.1-4.fc16.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-07 12:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
magnus.tuominen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-06-15 09:32:22 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.1.0-3.20110614.fc14.src.rpm
Description:
Stop chasing your music across different machines, services and
websites. It's time to take the work out of "play". If the song you want
to listen to is in your local library, it just plays. If the song is on
a remote machine, it just plays. If the song is on the web, or available
from your subscription service, it just plays. By abstracting a piece
of content's metadata from its file location, users can easily share
playlists, listening history and more. It's sort of like Wonka Vision,
Tomahawk will reassemble it on the other side. OK, maybe that's not a
good analogy... but it's just as delicious.
Comment 1 Rex Dieter 2011-06-15 09:33:31 EDT
$ rpmlint *.rpm x86_64/*.rpm
tomahawk.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
tomahawk.src: W: spelling-error %description -l en_US playlists -> play lists, play-lists, playlets
tomahawk.src:12: W: macro-in-comment %{version}
tomahawk.src:17: W: macro-in-comment %{version}
tomahawk.src:17: W: macro-in-comment %{snap}
tomahawk.src:34: W: unversioned-explicit-provides bundled(qtweetlib)
tomahawk.src: W: invalid-url Source0: tomahawk-0.1-20110614.tar.bz2
tomahawk.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
tomahawk.x86_64: W: spelling-error %description -l en_US playlists -> play lists, play-lists, playlets
tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_sipzeroconf.so libtomahawk_sipzeroconf.so
tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_portfwd.so libtomahawk_portfwd.so
tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawklib.so libtomahawklib.so
tomahawk.x86_64: W: shared-lib-calls-exit /usr/lib64/libtomahawklib.so exit@GLIBC_2.2.5
tomahawk.x86_64: W: no-manual-page-for-binary tomahawk
tomahawk-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/tomahawk-0.1/x86_64-redhat-linux-gnu/thirdparty/liblastfm2/src/lastfm/AbstractType
3 packages and 0 specfiles checked; 4 errors, 11 warnings.
Comment 2 Rex Dieter 2011-08-16 13:13:33 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.2.1-1.fc15.src.rpm

%changelog
* Tue Jun 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-3.20110614
- 20110614 snapshot
- bundle jreen/qtweetlib (for now)
Comment 3 Rex Dieter 2011-08-16 13:14:51 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.2.1-1.fc15.src.rpm

%changelog
* Tue Aug 16 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-1
- 0.2.1
Comment 4 Pavel Alexeev 2011-08-16 14:44:41 EDT
(In reply to comment #2)
> - 20110614 snapshot
> - bundle jreen/qtweetlib (for now)

Is there explicit exception granted? Why?
I'm prefer see it as separate package to link against in in upcoming qutIM update. I also think package jreen...
Comment 5 Rex Dieter 2011-08-16 15:03:04 EDT
OK, if someone else needs it, I can package it, though it's a little annoying the upstream here has no formal releases as far as I can tell.  so, will end up having to package a git snapshot.
Comment 6 Magnus Tuominen 2011-08-17 12:09:21 EDT
There seems to be missing some build requires: qca2-devel and maybe boost-devel too
Comment 7 Rex Dieter 2011-08-17 13:50:15 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.2.1-2.fc15.src.rpm

%changelog
* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-2
- unbundle jreen, BR: jreen-devel
- BR: boost-devel qca2-devel
- Requires: qca-ossl
Comment 8 Rex Dieter 2011-08-17 13:52:21 EDT
See bug #731456 for jreen review
Comment 9 Rex Dieter 2011-08-17 14:42:13 EDT
f16 scratch build (using bundled jreen for now, to allow non-bootstrapped building):
http://koji.fedoraproject.org/koji/taskinfo?taskID=3280479
Comment 10 Rex Dieter 2011-09-01 14:11:10 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.2.3-1.fc15.src.rpm

%changelog
* Thu Sep 01 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- 0.2.3
Comment 11 Rex Dieter 2011-11-15 09:32:35 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/tomahawk/tomahawk-0.3.0-1.fc16.src.rpm


%changelog
* Mon Nov 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0
Comment 13 Magnus Tuominen 2012-01-06 16:44:53 EST
Review below:

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
rpmlint -iv tomahawk.spec
tomahawk.spec: I: checking-url http://download.tomahawk-player.org/tomahawk-0.3.3.tar.bz2 (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -iv tomahawk-0.3.3-2*.rpm
tomahawk.x86_64: I: checking
tomahawk.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

tomahawk.x86_64: W: spelling-error %description -l en_US playlists -> play lists, play-lists, stylists
The value of this tag appears to be misspelled. Please double-check.

tomahawk.x86_64: I: checking-url http://tomahawk-player.org/ (timeout 10 seconds)
tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_siptwitter.so libtomahawk_siptwitter.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_sipjabber.so libtomahawk_sipjabber.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_sipzeroconf.so libtomahawk_sipzeroconf.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_sipgoogle.so libtomahawk_sipgoogle.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawk_portfwd.so libtomahawk_portfwd.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: E: invalid-soname /usr/lib64/libtomahawklib.so libtomahawklib.so
The soname of the library is neither of the form lib<libname>.so.<major> or
lib<libname>-<major>.so.

tomahawk.x86_64: W: shared-lib-calls-exit /usr/lib64/libtomahawklib.so exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

tomahawk.x86_64: W: no-manual-page-for-binary tomahawk
Each executable in standard binary directories should have a man page.

1 packages and 0 specfiles checked; 6 errors, 4 warnings.
Not so sure about this one, https://bugzilla.redhat.com/show_bug.cgi?id=235486 and https://bugzilla.redhat.com/show_bug.cgi?id=222388#c4 for reference
OK still
MUST: The package must be named according to the Package Naming Guidelines .
OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK
MUST: The package must meet the Packaging Guidelines .
OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK, GPLv3
MUST: The License field in the package spec file must match the actual license. [3]
OK
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK
MUST: The spec file must be written in American English. [5]
OK
MUST: The spec file for the package MUST be legible. [6]
OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
src.rpm:        0ee6ff7cd7fcf2dd01db6772902efbb4
upstream:       0ee6ff7cd7fcf2dd01db6772902efbb4
OK
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
Depends on Jreen BZ #731456
OK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK
MUST: Packages must NOT bundle copies of system libraries.[11]
OK
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
NA
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK
MUST: Each package must consistently use macros. [16]
OK
MUST: The package must contain code, or permissable content. [17]
OK
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK
MUST: Header files must be in a -devel package. [19]
OK
MUST: Static libraries must be in a -static package. [20]
OK
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
OK
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
OK
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK
MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
SHOULD: The reviewer should test that the package builds in mock. [27]
OK
SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
OK
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
OK
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
References to the Fedora Packaging Guidelines

This has been built and tested on fedora-16-x86_64 grabbing build deps from koji/fedpkg/bugzilla where needed (libechonest,jreen,iris/qjdns,qtweetlib) and rebuilding.
Works for me.
Comment 14 Magnus Tuominen 2012-01-06 17:00:12 EST
please add qca-ossl to the BR, it is needed for some jabber accounts to authenticate properly and is so a runtime dep for tomahawk according to the tomahawk devs.
Comment 15 Magnus Tuominen 2012-01-06 17:08:09 EST
(In reply to comment #14)
> please add qca-ossl to the BR, it is needed for some jabber accounts to
> authenticate properly and is so a runtime dep for tomahawk according to the
> tomahawk devs.

^nvm that, it is a BR, sorry for the noise
Comment 16 Kevin Kofler 2012-01-06 18:04:23 EST
If it's a runtime dependency, it needs to be a Requires, not a BuildRequires.
Comment 17 Rex Dieter 2012-01-06 18:34:59 EST
jreen already
Requires: qca-ossl
so it'll get pulled in indirectly, but adding here explicitly wouldn't be wrong either.
Comment 18 Rex Dieter 2012-01-06 18:35:55 EST
Starting to wonder if we should just add the qca-oosl dep to qca2 (keeping in mind bootstrapping issues, of course).
Comment 19 Rex Dieter 2012-01-06 18:36:44 EST
Anyway, enough rambling, I'll be sure to add the dep before doing any official builds.  Any other review blockers to consider?
Comment 20 Magnus Tuominen 2012-01-07 03:18:40 EST
No others, approving.
Comment 21 Rex Dieter 2012-01-07 07:50:53 EST
thanks!

New Package SCM Request
=======================
Package Name: tomahawk
Short Description: The Social Music Player 
Owners: rdieter
Branches: f16
InitialCC:
Comment 22 Gwyn Ciesla 2012-01-07 11:17:11 EST
Git done (by process-git-requests).
Comment 23 Rex Dieter 2012-01-07 12:05:41 EST
imported, thanks all!

(waiting for jreen before doing any builds)
Comment 24 Fedora Update System 2012-01-10 18:04:36 EST
clementine-0.7.1-4.fc16.1,tomahawk-0.3.3-4.fc16,libechonest-1.2.1-1.fc16,qca-cyrus-sasl-2.0.0-0.3.beta3.fc16,jreen-1.0.1-4.fc16,iris-1.0.0-0.10.20110904svn812.fc16,qtweetlib-0.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clementine-0.7.1-4.fc16.1,tomahawk-0.3.3-4.fc16,libechonest-1.2.1-1.fc16,qca-cyrus-sasl-2.0.0-0.3.beta3.fc16,jreen-1.0.1-4.fc16,iris-1.0.0-0.10.20110904svn812.fc16,qtweetlib-0.3.0-1.fc16
Comment 25 Fedora Update System 2012-01-19 16:56:04 EST
clementine-0.7.1-4.fc16.1, tomahawk-0.3.3-4.fc16, libechonest-1.2.1-1.fc16, qca-cyrus-sasl-2.0.0-0.3.beta3.fc16, jreen-1.0.1-4.fc16, iris-1.0.0-0.10.20110904svn812.fc16, qtweetlib-0.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.